diff --git a/src/main/modcall.c b/src/main/modcall.c
index bf792dad7e5..d431f2952c9 100644
--- a/src/main/modcall.c
+++ b/src/main/modcall.c
@@ -941,8 +941,7 @@ static bool modcall_recurse(REQUEST *request, rlm_components_t component, int de
 	 *	We're higher than any previous priority, remember this
 	 *	return code and priority.
 	 */
-	if ((priority >= entry->priority) &&
-	    (result != entry->result)) {
+	if (priority >= entry->priority) {
 		entry->result = result;
 		entry->priority = priority;
 	}
